# -*- coding: utf-8 -*-
from microbit import *
import radio
import math

def motion(leftSpeed, rightSpeed):
    if leftSpeed > 1023:
        leftSpeed = 1023
    if leftSpeed < -1023:
        leftSpeed = -1023
    if leftSpeed == 0:
        pin13.write_analog(1)
        pin14.write_analog(1)
       
    if leftSpeed > 0:
        pin13.write_analog(1)
        pin14.write_analog(int(leftSpeed/1.5))
       
    if leftSpeed < 0:
        leftSpeed = -leftSpeed
        pin13.write_analog(int(leftSpeed/1.5))
        pin14.write_analog(1)
       
    if rightSpeed > 1023:
        rightSpeed = 1023
    if rightSpeed < -1023:
        rightSpeed = -1023
    if rightSpeed == 0:
        pin15.write_analog(1)
        pin16.write_analog(1)
    if rightSpeed > 0:
        pin15.write_analog(int(rightSpeed/1.5))
        pin16.write_analog(1)
    if rightSpeed < 0:
        rightSpeed = -rightSpeed
        pin15.write_analog(1)
        pin16.write_analog(int(rightSpeed/1.5))
    


# application
display.off()


radio.on()
radio.config(length=8, queue=20, channel=79, power=7,
             address=0x44773311, group=0x1B, data_rate=radio.RATE_250KBIT)
x = 0
y = 0
z = 0
a = 0
left = 0
right = 0
while True:
    msg = bytes(5)
    msg = radio.receive_bytes()
    if msg is not None:
        x = msg[0]*256 + msg[1]
        x = x - 10000
        y = msg[2]*256 + msg[3]
        y = y - 10000
        a = msg[4]
        #print('x=',x,'y=',y)
        if a == 1:
            left = int((y + x))
            right = int((y - x))
            print('left = ', left)
            print('right = ', right)
            motion(right, left)
        else:
            motion(0,0)
            
        
